# Record Class CAFileSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAFileSearchParameters

Record Components:
  `description` - The description query
  `mediaType` - The media type query
  `sizeRange` - The range of file sizes to consider
  `ordering` - The ordering specification
  `pageSize` - The page size

All Implemented Interfaces:
  `CASearchParametersType`

public record CAFileSearchParameters(CAComparisonFuzzyType<String> description, CAComparisonFuzzyType<String> mediaType, CASizeRange sizeRange, CAFileColumnOrdering ordering, long pageSize) extends Record implements CASearchParametersType
The immutable parameters required to search for files.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAFileSearchParameters(CAComparisonFuzzyType<String> description, CAComparisonFuzzyType<String> mediaType, CASizeRange sizeRange, CAFileColumnOrdering ordering, long pageSize)`
  The immutable parameters required to search for files.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAComparisonFuzzyType<String>`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAComparisonFuzzyType<String>`
  `mediaType()`
  Returns the value of the `mediaType` record component.
  `CAFileColumnOrdering`
  `ordering()`
  Returns the value of the `ordering` record component.
  `long`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `CASizeRange`
  `sizeRange()`
  Returns the value of the `sizeRange` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAFileSearchParameters

    public CAFileSearchParameters(CAComparisonFuzzyType<String> description, CAComparisonFuzzyType<String> mediaType, CASizeRange sizeRange, CAFileColumnOrdering ordering, long pageSize)
    The immutable parameters required to search for files.
    Parameters:
      `description` - The description query
      `mediaType` - The media type query
      `sizeRange` - The range of file sizes to consider
      `ordering` - The ordering specification
      `pageSize` - The page size

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### description

    public CAComparisonFuzzyType<String> description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component

  - ### mediaType

    public CAComparisonFuzzyType<String> mediaType()
    Returns the value of the `mediaType` record component.
    Returns:
      the value of the `mediaType` record component

  - ### sizeRange

    public CASizeRange sizeRange()
    Returns the value of the `sizeRange` record component.
    Returns:
      the value of the `sizeRange` record component

  - ### ordering

    public CAFileColumnOrdering ordering()
    Returns the value of the `ordering` record component.
    Returns:
      the value of the `ordering` record component

  - ### pageSize

    public long pageSize()
    Returns the value of the `pageSize` record component.
    Specified by:
      `pageSize` in interface `CASearchParametersType`
    Returns:
      the value of the `pageSize` record component